%define shortname indi

Name:		indilib
Version:	0.9
Release:	1
Summary:	Library to control astronomical devices
Source0:	http://downloads.sourceforge.net/indi/libindi_%{version}.tar.gz
License:	LGPLv2+
Group:		Development/C
Url:		http://indi.sourceforge.net/
BuildRequires:	zlib-devel
BuildRequires:	libusb-devel
BuildRequires:	cfitsio-devel >= 3.090
BuildRequires:	libfli-devel
BuildRequires:	cmake
BuildRequires:	boost-devel
Provides:	indi = %{version}-%{release}

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%files
%doc ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/%{shortname}

#--------------------------------------------------------------------

%define major 0
%define libname %mklibname %{shortname} %{major}

%package -n %{libname}
Summary:	Library files for INDI
Group:		Development/C

%description -n %{libname}
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains library files of indilib.

%files -n %{libname}
%{_libdir}/*.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %{shortname}

%package -n %{develname}
Summary:	INDI devellopment files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	indi-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains files need to build applications using indilib.

%files -n %{develname}
%doc ChangeLog README* NEWS
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/libindi.pc
%{_includedir}/libindi/*.h

#--------------------------------------------------------------------

%prep
%setup -q -n libindi-%{version}

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog
* Tue Mar 27 2012 Andrey Bondrov <abondrov@mandriva.org> 0.9-1
+ Revision: 787529
- Drop no longer needed patches (fixed in upstream)
- New version 0.9

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Do not use %%mkrel anymore

* Tue Nov 15 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.8-1
+ Revision: 730685
- sync spec file with mga
- Use apply_patches
- New version 0.8

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-2
+ Revision: 665512
- mass rebuild

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 571679
- New version 0.6.2

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.6-4mdv2011.0
+ Revision: 571653
- adopt to new prefix of cfitsio headers

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.6-3mdv2011.0
+ Revision: 571618
- rebuild for new cfitsio

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6-2mdv2010.1
+ Revision: 522923
- rebuilt for 2010.1

* Wed May 20 2009 Funda Wang <fwang@mandriva.org> 0.6-1mdv2010.0
+ Revision: 377904
- fix str fmt

* Tue Nov 25 2008 Funda Wang <fwang@mandriva.org> 0.6-1mdv2009.1
+ Revision: 306522
- 0.6 final

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.6-0.190.4mdv2009.1
+ Revision: 303755
- add requires on libpackage

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.6-0.190.3mdv2009.1
+ Revision: 303750
- don't obsolete itself

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 0.6-0.190.2mdv2009.1
+ Revision: 303745
- ajudst LIB_SUFFIX
- New snapshot for kdeedu4
- BR cfitsio
- New verison 0.5
- add libname

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.3-5mdv2009.0
+ Revision: 264685
- rebuild early 2009.0 package (before pixel changes)

* Sun Jun 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.3-4mdv2009.0
+ Revision: 216943
- Submit missing cooker package

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 0.3-2mdv2008.1
+ Revision: 132210
- BR zlib-devel
- kill re-definition of %%buildroot on Pixel's request
- import indilib


* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-2mdk
- fix ExclusiveArch

* Sat Dec 31 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-1mdk
- 0.3

* Thu Sep 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-2mdk
- add provides

* Wed Sep 01 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2-1mdk
- First mdk contrib 
